Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.lib.jdbc
Interface JDBCListener

All Known Implementing Classes:
  AbstractJDBCListener

    public interface JDBCListener

A listener for all `JDBCEvent`s that occur.

Author:
  Marc Prud'hommeaux, Abe White
See Also:
  `AbstractJDBCListener`

Method Summary
`void` | `afterCommit(JDBCEvent event)`
`void` | `afterConnect(JDBCEvent event)`
`void` | `afterCreateStatement(JDBCEvent event)`
`void` | `afterExecuteStatement(JDBCEvent event)`
`void` | `afterPrepareStatement(JDBCEvent event)`
`void` | `afterRollback(JDBCEvent event)`
`void` | `beforeClose(JDBCEvent event)`
`void` | `beforeCommit(JDBCEvent event)`
`void` | `beforeCreateStatement(JDBCEvent event)`
`void` | `beforeExecuteStatement(JDBCEvent event)`
`void` | `beforePrepareStatement(JDBCEvent event)`
`void` | `beforeRollback(JDBCEvent event)`

Method Detail

### beforePrepareStatement

    void beforePrepareStatement(JDBCEvent event)

  See Also:
    `JDBCEvent.BEFORE_PREPARE_STATEMENT`

### afterPrepareStatement

    void afterPrepareStatement(JDBCEvent event)

  See Also:
    `JDBCEvent.AFTER_PREPARE_STATEMENT`

### beforeCreateStatement

    void beforeCreateStatement(JDBCEvent event)

  See Also:
    `JDBCEvent.BEFORE_CREATE_STATEMENT`

### afterCreateStatement

    void afterCreateStatement(JDBCEvent event)

  See Also:
    `JDBCEvent.AFTER_CREATE_STATEMENT`

### beforeExecuteStatement

    void beforeExecuteStatement(JDBCEvent event)

  See Also:
    `JDBCEvent.BEFORE_EXECUTE_STATEMENT`

### afterExecuteStatement

    void afterExecuteStatement(JDBCEvent event)

  See Also:
    `JDBCEvent.AFTER_EXECUTE_STATEMENT`

### beforeCommit

    void beforeCommit(JDBCEvent event)

  See Also:
    `JDBCEvent.BEFORE_COMMIT`

### afterCommit

    void afterCommit(JDBCEvent event)

  See Also:
    `JDBCEvent.AFTER_COMMIT`

### beforeRollback

    void beforeRollback(JDBCEvent event)

  See Also:
    `JDBCEvent.BEFORE_ROLLBACK`

### afterRollback

    void afterRollback(JDBCEvent event)

  See Also:
    `JDBCEvent.AFTER_ROLLBACK`

### afterConnect

    void afterConnect(JDBCEvent event)

  See Also:
    `JDBCEvent.AFTER_CONNECT`

### beforeClose

    void beforeClose(JDBCEvent event)

  See Also:
    `JDBCEvent.BEFORE_CLOSE`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.